Bug 368180 - Kontact crashed at startup
Summary: Kontact crashed at startup
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.2.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2016-09-03 09:10 UTC by Nico Kruber
Modified: 2021-01-16 04:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Kruber 2016-09-03 09:10:47 UTC
Application: kontact (5.2.3)

Qt Version: 5.7.0
Frameworks Version: 5.25.0
Operating System: Linux 4.7.2-2-default x86_64
Distribution: "openSUSE Leap 42.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

After logging in into my Plasma session, Kontact is supposed to open due to session restore. It did however crash instead.

-- Backtrace:
Application: Kontact (kontact), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4b398c67c0 (LWP 3271))]

Thread 20 (Thread 0x7f4a9c82c700 (LWP 3760)):
#0  0x00007f4b2dbcd1ee in g_source_iter_next (iter=iter@entry=0x7f4a9c82bc60, source=source@entry=0x7f4a9c82bc58) at gmain.c:925
#1  0x00007f4b2dbcf44b in g_main_context_prepare (context=context@entry=0x7f4a74000990, priority=priority@entry=0x7f4a9c82bcd8) at gmain.c:3388
#2  0x00007f4b2dbcfd80 in g_main_context_iterate (context=context@entry=0x7f4a74000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3788
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a74000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4a9c82be10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x2283f70) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4a9c82c700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 19 (Thread 0x7f4a9d02d700 (LWP 3756)):
#0  0x00007f4b2dc11cf9 in g_mutex_lock (mutex=mutex@entry=0x7f4a70000990) at gthread-posix.c:1336
#1  0x00007f4b2dbcf028 in g_main_context_release (context=0x7f4a70000990) at gmain.c:3216
#2  0x00007f4b2dbcfe0e in g_main_context_iterate (context=context@entry=0x7f4a70000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3810
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a70000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4a9d02ce10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x223b050) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4a9d02d700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 18 (Thread 0x7f4a9e876700 (LWP 3748)):
#0  0x00007f4b3657ebfd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2dbcfe64 in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f4a7c003e30, timeout=-1, context=0x7f4a7c000990) at gmain.c:4103
#2  0x00007f4b2dbcfe64 in g_main_context_iterate (context=context@entry=0x7f4a7c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a7c000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a7c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4a9e875e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x20ad080) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4a9e876700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 17 (Thread 0x7f4a9f077700 (LWP 3745)):
#0  0x00007f4b2dc11cf9 in g_mutex_lock (mutex=mutex@entry=0x7f4a80000990) at gthread-posix.c:1336
#1  0x00007f4b2dbcf6a1 in g_main_context_query (context=context@entry=0x7f4a80000990, max_priority=2147483647, timeout=timeout@entry=0x7f4a9f076cdc, fds=fds@entry=0x7f4a80003020, n_fds=n_fds@entry=2) at gmain.c:3512
#2  0x00007f4b2dbcfdcf in g_main_context_iterate (context=context@entry=0x7f4a80000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3790
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a80000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4a9f076e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x2092520) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4a9f077700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 16 (Thread 0x7f4a9f878700 (LWP 3744)):
#0  0x00007f4b3657ebfd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2dbcfe64 in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f4a78003220, timeout=-1, context=0x7f4a78000990) at gmain.c:4103
#2  0x00007f4b2dbcfe64 in g_main_context_iterate (context=context@entry=0x7f4a78000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a78000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4a9f877e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x20916a0) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4a9f878700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 15 (Thread 0x7f4aa5431700 (LWP 3741)):
#0  0x00007f4b3657accd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2dc10b60 in g_wakeup_acknowledge (__nbytes=16, __buf=0x7f4aa5430c10, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4b2dc10b60 in g_wakeup_acknowledge (wakeup=0x7f4a88002540) at gwakeup.c:210
#3  0x00007f4b2dbcf999 in g_main_context_check (context=context@entry=0x7f4a8c000990, max_priority=2147483647, fds=fds@entry=0x7f4a8c002e20, n_fds=n_fds@entry=1) at gmain.c:3600
#4  0x00007f4b2dbcfdf8 in g_main_context_iterate (context=context@entry=0x7f4a8c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3805
#5  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a8c000990, may_block=1) at gmain.c:3869
#6  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a8c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa5430e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#8  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#9  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1fa22b0) at thread/qthread_unix.cpp:344
#10 0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa5431700) at pthread_create.c:309
#11 0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 14 (Thread 0x7f4aa5c32700 (LWP 3738)):
#0  0x00007f4b2dbcf463 in g_main_context_prepare (context=context@entry=0x7f4a88000990, priority=priority@entry=0x7f4aa5c31cd8) at gmain.c:3392
#1  0x00007f4b2dbcfd80 in g_main_context_iterate (context=context@entry=0x7f4a88000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3788
#2  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a88000990, may_block=1) at gmain.c:3869
#3  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa5c31e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1f790b0) at thread/qthread_unix.cpp:344
#7  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa5c32700) at pthread_create.c:309
#8  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 13 (Thread 0x7f4aa6875700 (LWP 3727)):
#0  0x00007f4b2dbcf853 in g_main_context_check (context=context@entry=0x7f4a94000990, max_priority=2147483647, fds=fds@entry=0x7f4a94003220, n_fds=n_fds@entry=1) at gmain.c:3633
#1  0x00007f4b2dbcfdf8 in g_main_context_iterate (context=context@entry=0x7f4a94000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3805
#2  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a94000990, may_block=1) at gmain.c:3869
#3  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa6874e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1e12c10) at thread/qthread_unix.cpp:344
#7  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa6875700) at pthread_create.c:309
#8  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 12 (Thread 0x7f4aa7294700 (LWP 3723)):
#0  0x00007f4b3657accd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2dc10b60 in g_wakeup_acknowledge (__nbytes=16, __buf=0x7f4aa7293c10, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4b2dc10b60 in g_wakeup_acknowledge (wakeup=0x7f4a98002570) at gwakeup.c:210
#3  0x00007f4b2dbcf999 in g_main_context_check (context=context@entry=0x7f4a90000990, max_priority=2147483647, fds=fds@entry=0x7f4a90002e20, n_fds=n_fds@entry=1) at gmain.c:3600
#4  0x00007f4b2dbcfdf8 in g_main_context_iterate (context=context@entry=0x7f4a90000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3805
#5  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a90000990, may_block=1) at gmain.c:3869
#6  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa7293e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#8  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#9  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1e11100) at thread/qthread_unix.cpp:344
#10 0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa7294700) at pthread_create.c:309
#11 0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 11 (Thread 0x7f4aa7a95700 (LWP 3722)):
#0  0x00007f4b3657ebfd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2dbcfe64 in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f4aa0003020, timeout=-1, context=0x7f4aa0000990) at gmain.c:4103
#2  0x00007f4b2dbcfe64 in g_main_context_iterate (context=context@entry=0x7f4aa0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4aa0000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4aa00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa7a94e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1e1cd90) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa7a95700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7f4aa8296700 (LWP 3721)):
#0  0x00007f4b36e8dc2a in QMutex::lock() (__m2=std::memory_order_acquire, __m1=std::memory_order_acquire, __p2=0x1, __p1=@0x7f4aa8295bf0: 0x0, this=<optimized out>) at /usr/include/c++/4.8/bits/atomic_base.h:844
#1  0x00007f4b36e8dc2a in QMutex::lock() (__p2=0x1, __m=std::memory_order_acquire, __p1=@0x7f4aa8295bf0: 0x0, this=<optimized out>) at /usr/include/c++/4.8/atomic:445
#2  0x00007f4b36e8dc2a in QMutex::lock() (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, _q_value=...) at ../../src/corelib/arch/qatomic_cxx11.h:165
#3  0x00007f4b36e8dc2a in QMutex::lock() (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, this=this@entry=0x1e4e7c0) at ../../src/corelib/thread/qbasicatomic.h:259
#4  0x00007f4b36e8dc2a in QMutex::lock() (current=<synthetic pointer>, this=this@entry=0x1e4e7c0) at thread/qmutex.h:89
#5  0x00007f4b36e8dc2a in QMutex::lock() (this=this@entry=0x1e4e7c0) at thread/qmutex.cpp:225
#6  0x00007f4b3709b3d5 in postEventSourceCheck(GSource*) (m=0x1e4e7c0, this=<synthetic pointer>) at ../../src/corelib/thread/qmutex.h:137
#7  0x00007f4b3709b3d5 in postEventSourceCheck(GSource*) (this=0x1e4e790) at ../../src/corelib/thread/qthread_p.h:253
#8  0x00007f4b3709b3d5 in postEventSourceCheck(GSource*) (timeout=<synthetic pointer>, s=0x7f4a980012d0) at kernel/qeventdispatcher_glib.cpp:259
#9  0x00007f4b3709b3d5 in postEventSourceCheck(GSource*) (source=0x7f4a980012d0) at kernel/qeventdispatcher_glib.cpp:269
#10 0x00007f4b2dbcf8f1 in g_main_context_check (context=context@entry=0x7f4a98000990, max_priority=2147483647, fds=fds@entry=0x7f4a98003020, n_fds=n_fds@entry=1) at gmain.c:3649
#11 0x00007f4b2dbcfdf8 in g_main_context_iterate (context=context@entry=0x7f4a98000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3805
#12 0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4a98000990, may_block=1) at gmain.c:3869
#13 0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4a980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#14 0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aa8295e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#15 0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#16 0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1e56330) at thread/qthread_unix.cpp:344
#17 0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aa8296700) at pthread_create.c:309
#18 0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f4ac1262700 (LWP 3579)):
#0  0x00007f4b2f8e803f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4b33b91443 in  () at /usr/lib64/libQt5WebKit.so.5
#2  0x00007f4b33eb30a1 in  () at /usr/lib64/libQt5WebKit.so.5
#3  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4ac1262700) at pthread_create.c:309
#4  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f4ac1a63700 (LWP 3578)):
#0  0x00007f4b2f8e803f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4b33b91443 in  () at /usr/lib64/libQt5WebKit.so.5
#2  0x00007f4b33eb30a1 in  () at /usr/lib64/libQt5WebKit.so.5
#3  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4ac1a63700) at pthread_create.c:309
#4  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f4ac2264700 (LWP 3577)):
#0  0x00007f4b2f8e803f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4b33b91443 in  () at /usr/lib64/libQt5WebKit.so.5
#2  0x00007f4b33eb30a1 in  () at /usr/lib64/libQt5WebKit.so.5
#3  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4ac2264700) at pthread_create.c:309
#4  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f4ac8abf700 (LWP 3576)):
#0  0x00007f4b2f8e803f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4b33b9046d in  () at /usr/lib64/libQt5WebKit.so.5
#2  0x00007f4b33eb30a1 in  () at /usr/lib64/libQt5WebKit.so.5
#3  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4ac8abf700) at pthread_create.c:309
#4  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f4aca99b700 (LWP 3395)):
#0  0x00007f4b2dc11d14 in g_mutex_unlock (mutex=0x7f4ac4000990) at gthread-posix.c:1348
#1  0x00007f4b2dbcef20 in g_main_context_acquire (context=0x7f4ac4000990) at gmain.c:3196
#2  0x00007f4b2dbcfd25 in g_main_context_iterate (context=context@entry=0x7f4ac4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3758
#3  0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4ac4000990, may_block=1) at gmain.c:3869
#4  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4ac40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4aca99ae10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f4b36e9106a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x1a14ab0) at thread/qthread_unix.cpp:344
#8  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4aca99b700) at pthread_create.c:309
#9  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f4b148f2700 (LWP 3312)):
#0  0x00007f4b2f8e803f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4b33e845d3 in  () at /usr/lib64/libQt5WebKit.so.5
#2  0x00007f4b33e845f9 in  () at /usr/lib64/libQt5WebKit.so.5
#3  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4b148f2700) at pthread_create.c:309
#4  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f4b150f3700 (LWP 3300)):
#0  0x00007f4b2dc11cf9 in g_mutex_lock (mutex=mutex@entry=0x7f4b10000990) at gthread-posix.c:1336
#1  0x00007f4b2dbcff68 in g_main_context_iteration (context=0x7f4b10000990, may_block=1) at gmain.c:3868
#2  0x00007f4b3709af7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4b100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#3  0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4b150f2de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#4  0x00007f4b36e9106a in QThread::exec() (this=this@entry=0x7f4b35a2fd00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:507
#5  0x00007f4b357c64b5 in QDBusConnectionManager::run() (this=0x7f4b35a2fd00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:196
#6  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x7f4b35a2fd00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:344
#7  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4b150f3700) at pthread_create.c:309
#8  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f4b1e0b6700 (LWP 3281)):
#0  0x00007f4b3657ebfd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4b2fd07422 in _xcb_conn_wait (__timeout=-1, __nfds=1, __fds=0x7f4b1e0b5d00) at /usr/include/bits/poll2.h:46
#2  0x00007f4b2fd07422 in _xcb_conn_wait (c=c@entry=0x189fef0, cond=cond@entry=0x189ff30, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:459
#3  0x00007f4b2fd0900f in xcb_wait_for_event (c=0x189fef0) at xcb_in.c:693
#4  0x00007f4b20a3d3e9 in QXcbEventReader::run() (this=0x18ac280) at qxcbconnection.cpp:1337
#5  0x00007f4b36e95899 in QThreadPrivate::start(void*) (arg=0x18ac280) at thread/qthread_unix.cpp:344
#6  0x00007f4b2f8e40a4 in start_thread (arg=0x7f4b1e0b6700) at pthread_create.c:309
#7  0x00007f4b3658702d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f4b398c67c0 (LWP 3271)):
[KCrash Handler]
#6  0x00007f4b364d70c7 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f4b364d8478 in __GI_abort () at abort.c:78
#8  0x00007f4b36514784 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7f4b36606b78 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
#9  0x00007f4b3651a026 in malloc_printerr (action=3, str=0x7f4b36602cf5 "corrupted double-linked list", ptr=<optimized out>, ar_ptr=<optimized out>) at malloc.c:5037
#10 0x00007f4b3651a2e2 in malloc_consolidate (av=av@entry=0x7f4b36844620 <main_arena>) at malloc.c:4198
#11 0x00007f4b3651bd9d in _int_malloc (av=av@entry=0x7f4b36844620 <main_arena>, bytes=bytes@entry=8193) at malloc.c:3456
#12 0x00007f4b3651cdbc in _int_realloc (av=av@entry=0x7f4b36844620 <main_arena>, oldp=oldp@entry=0x21bb3c0, oldsize=oldsize@entry=4112, nb=nb@entry=8208) at malloc.c:4319
#13 0x00007f4b3651e0f0 in __GI___libc_realloc (oldmem=0x21bb3d0, bytes=8192) at malloc.c:3050
#14 0x00007f4b36ef3074 in QListData::realloc_grow(int) (this=this@entry=0x1904298, growth=growth@entry=1) at tools/qlist.cpp:162
#15 0x00007f4b36ef3109 in QListData::append(int) (this=0x1904298, n=n@entry=1) at tools/qlist.cpp:188
#16 0x00007f4b36ef315a in QListData::append() (this=<optimized out>) at tools/qlist.cpp:198
#17 0x00007f4b3707de8c in QList<QObject*>::append(QObject* const&) (this=0x1904298, t=@0x7ffe9648e570: 0x1e903f0) at ../../src/corelib/tools/qlist.h:598
#18 0x00007f4b3707c596 in QObjectPrivate::setParent_helper(QObject*) (this=0x1e461d0, o=o@entry=0x19041a0) at kernel/qobject.cpp:2009
#19 0x00007f4b3707cda9 in QObject::setParent(QObject*) (this=this@entry=0x1e903f0, parent=parent@entry=0x19041a0) at kernel/qobject.cpp:1957
#20 0x00007f4b3707ce36 in QObject::QObject(QObject*) (this=0x1e903f0, parent=0x19041a0) at kernel/qobject.cpp:832
#21 0x00007f4b1531f446 in Breeze::GenericData::GenericData(QObject*, QWidget*, int) (target=0x18ddb00, parent=<optimized out>, this=0x1e903f0) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezeanimationdata.h:46
#22 0x00007f4b1531f446 in Breeze::GenericData::GenericData(QObject*, QWidget*, int) (this=0x1e903f0, parent=<optimized out>, target=0x18ddb00, duration=100) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezegenericdata.cpp:31
#23 0x00007f4b15325f59 in Breeze::WidgetStateEngine::registerWidget(QWidget*, QFlags<Breeze::AnimationMode>) (state=true, duration=100, target=0x18ddb00, parent=0x19041a0, this=0x1e903f0) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezewidgetstatedata.h:40
#24 0x00007f4b15325f59 in Breeze::WidgetStateEngine::registerWidget(QWidget*, QFlags<Breeze::AnimationMode>) (state=true, duration=100, target=0x18ddb00, parent=0x19041a0, this=0x1e903f0) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezeenabledata.h:38
#25 0x00007f4b15325f59 in Breeze::WidgetStateEngine::registerWidget(QWidget*, QFlags<Breeze::AnimationMode>) (this=0x19041a0, widget=0x18ddb00, mode=...) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezewidgetstateengine.cpp:35
#26 0x00007f4b1531829d in Breeze::Animations::registerWidget(QWidget*) const (this=0x1904090, widget=widget@entry=0x18ddb00) at /usr/src/debug/breeze-5.7.4/kstyle/animations/breezeanimations.cpp:113
#27 0x00007f4b15341502 in Breeze::Style::polish(QWidget*) (this=0x18f6a00, widget=0x18ddb00) at /usr/src/debug/breeze-5.7.4/kstyle/breezestyle.cpp:211
#28 0x00007f4b37f97474 in QWidget::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#29 0x00007f4b37f53afc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#30 0x00007f4b37f5aa80 in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#31 0x00007f4b3704c5f5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x18ddb00, event=0x7ffe9648e9d0) at kernel/qcoreapplication.cpp:988
#32 0x00007f4b37f92f63 in QWidget::ensurePolished() const () at /usr/lib64/libQt5Widgets.so.5
#33 0x00007f4b37f9708b in QWidget::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#34 0x00007f4b37f53afc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#35 0x00007f4b37f5aa80 in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#36 0x00007f4b3704c5f5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x18ddb00, event=event@entry=0x1e19130) at kernel/qcoreapplication.cpp:988
#37 0x00007f4b3704e653 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x1e19130, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#38 0x00007f4b3704e653 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x188a7f0) at kernel/qcoreapplication.cpp:1649
#39 0x00007f4b3704eb98 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#40 0x00007f4b3709b713 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x18db9e0) at kernel/qeventdispatcher_glib.cpp:276
#41 0x00007f4b2dbcfc84 in g_main_context_dispatch (context=0x7f4b180016f0) at gmain.c:3122
#42 0x00007f4b2dbcfc84 in g_main_context_dispatch (context=context@entry=0x7f4b180016f0) at gmain.c:3737
#43 0x00007f4b2dbcfed8 in g_main_context_iterate (context=context@entry=0x7f4b180016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3808
#44 0x00007f4b2dbcff7c in g_main_context_iteration (context=0x7f4b180016f0, may_block=1) at gmain.c:3869
#45 0x00007f4b3709af5c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x18f4380, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#46 0x00007f4b3704a8cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffe9648ef80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#47 0x00007f4b370526c6 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1261
#48 0x0000000000404771 in  ()
#49 0x00007f4b364c3b25 in __libc_start_main (main=0x403860, argc=3, argv=0x7ffe9648f368, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffe9648f358) at libc-start.c:285
#50 0x0000000000404ca7 in _start ()

Possible duplicates by query: bug 367836, bug 361381, bug 359798, bug 358364, bug 355279.

Reported using DrKonqi
Comment 1 Justin Zobel 2020-12-17 05:30:07 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 2 Bug Janitor Service 2021-01-01 04:35:47 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2021-01-16 04:34:55 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!